xoops forums

Mamba

Moderator
Posted on: 2013/1/23 4:58
Mamba
Mamba (Show more)
Moderator
Posts: 10442
Since: 2004/4/23
#1

XOOPS 2.5.6 Beta 1 Released for Testing

As more and more hosts are switching to PHP 5.4.x, some of our users are having issues with XOOPS 2.5.5, since it was not certified for PHP 5.4.x

Therefore we will be releasing XOOPS 2.5.6, that will run without any problems on PHP 5.4.x. But we need your help in testing, to make sure that it works properly.

Please note: the fact that the XOOPS Core runs correctly on PHP 5.4.x, doesn't mean that all your modules will run correctly, therefore you'll need to test them.

The recently released modules that qualify for our Basic Module Pack, are all tested on PHP 5.4.8, and they should run just fine.

For all others, please let us know about any issues you might have.

Download: SourceForge File Repository.

Please remember: This is Beta Release version for features testing only!!!!

DO NOT install it on a production site and DO NOT upgrade any production site with it!!!

Please test especially on PHP 5.3.x and PHP 5.4.x


Please post and discuss all issues related to this release in this forum

Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

timgno

Module Developer
Posted on: 2013/1/23 10:07
timgno
timgno (Show more)
Module Developer
Posts: 1503
Since: 2007/6/21
#2

Re: XOOPS 2.5.6 Beta 1 Released for Testing

The block notification appears when there are notifications?

Because I don't see it after it has been activated...!

The group permissions are ok, and for all pages

PHP Test: 5.3.8, 5.3.10, 5.3.13, 5.4.3

Tarik

Not too shy to talk
Posted on: 2013/1/23 11:10
Tarik
Tarik (Show more)
Not too shy to talk
Posts: 170
Since: 2010/2/3 1
#3

Re: XOOPS 2.5.6 Beta 1 Released for Testing

btw is there a css page for right to left languages or is it up to translators?

irmtfan

Module Developer
Posted on: 2013/1/23 13:00
irmtfan
irmtfan (Show more)
Module Developer
Posts: 3419
Since: 2003/12/7
#4

Re: XOOPS 2.5.6 Beta 1 Released for Testing

@Tarik:
you can add the RTL style.css in your language folder. Xoops will read it for each theme
eg: XOOPSCORE255_or_256/language/arabic/style.css

here is our style.css for persian.
@import url(css/modules.css);

body,table td,.comDate,p,.admin_menu,.admin_menu a,.admin_menu_thumb a,.admin_menu_thumb,.button,.checkbox,.listbox,.sortorder_options,form
    
{
    
font-familyTahoma;
}

table.toptable,table.maintable,table.footertable,.itemTitle a,.itemPoster,.foot,th a:link,th a:active,th a:visited,.headerlogo,td.sideboxcontent
    
{
    
directionrtl;
}

.
sCommentThread,.sCommentRank#xo-canvas-content ul {
    
text-alignright;
}

table,.formButton,.comUserName,th,div#content,div#forum_header,p.desc,tr.head td,#imageform,#imageform td
    
{
    
directionrtl;
    
text-alignright;
}

div#xo-logger-output,div#xo-logger-tabs {
    
directionltr;
    
text-alignleft;
}

body td,p,div,a:link,a:active,a:visited,a:hover,h1,h2,h4,.item,.itemHead,th,.comTitle,.comUserStat,.blockTitle,.blockContent
    
{
    
directionrtl;
    
font-familyTahoma;
}

input,select,textarea,.itemTitle,.itemStats,.outer,.head,.even,.odd,div.confirmMsg,div.xoopsQuote,td#mainmenu a,td#usermenu a,tr.even td,tr.odd td,td#content,ul,ol,li
    
{
    
directionrtl;
    
font-familyTahoma;
    
text-alignright;
}

.
itemBody,.itemText,.comText {
    
directionrtl;
    
font-familyTahoma;
    
text-alignJustify;
}

/* ========== styles used in the  article  of contents (exemple : news) ============*/
.itemPostDate,.itemInfo,.itemFoot {
    
font-familyTahoma;
    
directionrtl;
    
text-alignleft;
}

/* ===== core messages ===== */
div.xoopsCode {
    
font-familyTahoma;
    
directionltr;
}

/*=========== for main menu and user menu ===========*/
td#mainmenu a.menuSub {
    
padding-right10px;
}

.
footerbar {
    
text-aligncenter;
}
 
.
floatleft {
    
floatright !important;
}

.
floatright {
    
floatleft !important;
}


as you can see we have another modules.css to add for each module css.

Anonymous

Posted on: 2013/1/23 23:07
Anonymous
Anonymous (Show more)
Posts: 0
Since:
#5

Re: XOOPS 2.5.6 Beta 1 Released for Testing

Just curious about the forthcoming 2.5.6 stable release. Is this just a php 5.4 upgrade or does it add other advantages next to the php compatibility? Or in other words, is it wise to upgrade when having a smooth running site with php 5.3x or below? (not speaking about the beta but once it is final)

kris_fr

Theme Designer
Posted on: 2013/1/24 0:34
kris_fr
kris_fr (Show more)
Theme Designer
Posts: 1009
Since: 2005/12/31
#6

Re: XOOPS 2.5.6 Beta 1 Released for Testing

@flipse : for security fix -> http://sourceforge.net/p/xoops/svn/10346/

Mamba

Moderator
Posted on: 2013/1/24 1:03
Mamba
Mamba (Show more)
Moderator
Posts: 10442
Since: 2004/4/23
#7

Re: XOOPS 2.5.6 Beta 1 Released for Testing

For changes please check out the changelog.

In addition to security fix, few bugs fixed, and few libraries have been updated (which fixed their own bugs).

So if you're happy with the current setup, the only thing that you should do is to upload the security patch, otherwise it is not urgent.

On the other hand, it doesn't take that long to update the whole Website
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

sabahan

Quite a regular
Posted on: 2013/1/24 1:12
sabahan
sabahan (Show more)
Quite a regular
Posts: 315
Since: 2006/3/4 5
#8

Re: XOOPS 2.5.6 Beta 1 Released for Testing

im trying extcal 2.37 rc4 in 2.5.6 i have this error when trying to create category

Warningmysql_query() [function.mysql-query]: Unable to save result set in file /class/database/mysqldatabase.php line 257


in another installation with 2.5.5 its working fine...

PHP Version 5.3.1
mySQL Version 5.1.41

so i guess 2.5.6 will not work with < php 5.4 ?


Mamba

Moderator
Posted on: 2013/1/24 1:31
Mamba
Mamba (Show more)
Moderator
Posts: 10442
Since: 2004/4/23
#9

Re: XOOPS 2.5.6 Beta 1 Released for Testing

Quote:
so i guess 2.5.6 will not work with < php 5.4 ?

It should, at least on PHP 5.3+
Support XOOPS => DONATE
Use 2.5.9 | Docs | Modules | Bugs

geekwright

Quite a regular
Posted on: 2013/1/26 3:56
geekwright
geekwright (Show more)
Quite a regular
Posts: 226
Since: 2010/10/15
#10

Re: XOOPS 2.5.6 Beta 1 Released for Testing

I tossed 2.5.6 beta1 into a couple of environments and tested a bit using a current project as the base. This was a quick run thru, not an exhaustive coverage test, but here are the results.

Using 2.5.6 beta1 to upgrade a 2.5.5 system under PHP 5.3.10 went smoothly. No issues.

On fresh install with any PHP version, the xoopscomments table is missing.

On PHP 5.4.6 and 5.4.11, this message shows up in the logs a lot:
PHP Strict Standards: Only variables should be assigned by reference ... kernel/object.php on line 374

Overall, seems pretty solid - great work!